<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.thema</groupId>
  <artifactId>fractalyse</artifactId>
  <name>Fractalyse</name>
  <version>0.9.1</version>
  <description>Fractal analysis for GIS data</description>
  <url>https://sourcesup.renater.fr/www/${project.artifactId}</url>
  <developers>
    <developer>
      <id>gvuidel</id>
      <name>Gilles Vuidel</name>
    </developer>
  </developers>
  <licenses>
    <license>
      <name>GNU General Public License, Version 3.0</name>
      <url>http://www.gnu.org/licenses/gpl-3.0.txt</url>
      <distribution>repo</distribution>
    </license>
  </licenses>
  <scm>
    <connection>scm:git:https://git.renater.fr/anonscm/git/${project.artifactId}/${project.artifactId}.git</connection>
    <url>https://sourcesup.renater.fr/scm/browser.php?group_id=3415&amp;scm_plugin=scmgit</url>
  </scm>
  <organization>
    <name>Laboratoire ThéMA - UMR 6049 - CNRS / Université de Franche-Comté</name>
    <url>http://thema.univ-fcomte.fr</url>
  </organization>
  <build>
    <plugins>
      <plugin>
        <artifactId>maven-jar-plugin</artifactId>
        <version>3.1.2</version>
        <configuration>
          <archive>
            <manifestEntries>
              <Implementation-Title>${project.groupId}.${project.artifactId}</Implementation-Title>
              <Implementation-Version>${project.version}</Implementation-Version>
              <Implementation-Vendor>ThéMA</Implementation-Vendor>
              <Main-Class>${project.groupId}.fracgis.MainFrame</Main-Class>
            </manifestEntries>
          </archive>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-shade-plugin</artifactId>
        <version>3.2.1</version>
        <executions>
          <execution>
            <phase>package</phase>
            <goals>
              <goal>shade</goal>
            </goals>
            <configuration>
              <transformers>
                <transformer />
              </transformers>
            </configuration>
          </execution>
        </executions>
        <configuration>
          <createDependencyReducedPom>true</createDependencyReducedPom>
          <filters>
            <filter>
              <artifact>*:*</artifact>
              <excludes>
                <exclude>META-INF/*.SF</exclude>
                <exclude>META-INF/*.DSA</exclude>
                <exclude>META-INF/*.RSA</exclude>
              </excludes>
            </filter>
          </filters>
        </configuration>
      </plugin>
      <plugin>
        <groupId>de.akquinet.jbosscc.latex</groupId>
        <artifactId>maven-latex-plugin</artifactId>
        <version>1.2</version>
        <executions>
          <execution>
            <phase>site</phase>
            <goals>
              <goal>latex</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <artifactId>maven-site-plugin</artifactId>
        <version>3.4</version>
        <dependencies>
          <dependency>
            <groupId>org.apache.maven.wagon</groupId>
            <artifactId>wagon-webdav-jackrabbit</artifactId>
            <version>2.6</version>
          </dependency>
          <dependency>
            <groupId>lt.velykis.maven.skins</groupId>
            <artifactId>reflow-velocity-tools</artifactId>
            <version>1.1.1</version>
          </dependency>
          <dependency>
            <groupId>org.apache.velocity</groupId>
            <artifactId>velocity</artifactId>
            <version>1.7</version>
          </dependency>
        </dependencies>
      </plugin>
    </plugins>
  </build>
  <repositories>
    <repository>
      <id>thema-sourcesup</id>
      <name>ThéMA libs Repository</name>
      <url>http://sourcesup.renater.fr/nexus/content/repositories/themalibs-releases/</url>
    </repository>
  </repositories>
  <dependencies>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>4.10</version>
      <scope>test</scope>
      <exclusions>
        <exclusion>
          <artifactId>hamcrest-core</artifactId>
          <groupId>org.hamcrest</groupId>
        </exclusion>
      </exclusions>
    </dependency>
  </dependencies>
  <reporting>
    <plugins>
      <plugin>
        <artifactId>maven-project-info-reports-plugin</artifactId>
        <version>2.9</version>
        <reportSets>
          <reportSet>
            <reports>
              <report>summary</report>
              <report>license</report>
              <report>scm</report>
              <report>project-team</report>
            </reports>
          </reportSet>
        </reportSets>
      </plugin>
    </plugins>
  </reporting>
  <distributionManagement>
    <repository>
      <id>sourcesup</id>
      <url>https://sourcesup.renater.fr/nexus/content/repositories/${project.artifactId}-releases</url>
    </repository>
    <site>
      <id>sourcesup-dav</id>
      <url>dav:https://sourcesup.renater.fr/authmain/jenkins/www/${project.artifactId}/mvn</url>
    </site>
  </distributionManagement>
  <properties>
    <maven.compiler.source>1.8</maven.compiler.source>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <maven.compiler.target>1.8</maven.compiler.target>
  </properties>
</project>
